def test_suite():
    try:
        from bzrtools.tests.errors import NoPyBaz
        import bzrtools.tests.test_baz_import
        return bzrtools.tests.test_baz_import.test_suite()
    except ImportError:
    	try:
            from bzrlib.plugins.bzrtools.errors import NoPyBaz
            import bzrlib.plugins.bzrtools.tests.test_baz_import
            return bzrlib.plugins.bzrtools.tests.test_baz_import.test_suite()
	except ImportError:
            from unittest import TestSuite
            return TestSuite()
        except NoPyBaz:
            from unittest import TestSuite
            return TestSuite()
    except NoPyBaz:
        from unittest import TestSuite
        return TestSuite()
